diff a/hat/docs/hat-notes-and-links.md b/hat/docs/hat-notes-and-links.md
--- /dev/null
+++ b/hat/docs/hat-notes-and-links.md
@@ -0,0 +1,44 @@
+
+
+# Notes and Links
+
+----
+
+* [Contents](hat-00.md)
+* House Keeping
+    * [Project Layout](hat-01-01-project-layout.md)
+    * [Building Babylon](hat-01-02-building-babylon.md)
+    * [Building HAT](hat-01-03-building-hat.md)
+* Programming Model
+    * [Programming Model](hat-03-programming-model.md)
+* Interface Mapping
+    * [Interface Mapping Overview](hat-04-01-interface-mapping.md)
+    * [Cascade Interface Mapping](hat-04-02-cascade-interface-mapping.md)
+* Implementation Detail
+    * [Walkthrough Of Accelerator.compute()](hat-accelerator-compute.md)
+
+---
+
+# Notes and Links
+
+### Deep Learning
+* [Amazons Deep Learning Java](http://djl.ai/)
+
+### Manchester University TornadoVM
+* [Tornado VM](https://github.com/beehive-lab/TornadoVM)
+* [SPIRV Toolkit]()https://github.com/beehive-lab/beehive-spirv-toolkit
+
+### Other JAVA GPU
+* [Aparapi](https://github.com/Syncleus/aparapi)
+
+### Github repos
+* [Babylon OpenJDK](https://github.com/openjdk/babylon)
+* [JTREG](https://github.com/openjdk/jtreg)
+* [jexctract](https://github.com/openjdk/jextract)
+
+### General GPGPU
+* [A nice GPGPU state of play video](https://www.youtube.com/watch?v=48AdJgTYSFQ)
+* [Interesting project ](https://www.phoronix.com/news/SCALE-CUDA-Apps-For-AMD-GPUs)
+* [More ](https://www.phoronix.com/review/radeon-cuda-zluda)
+* [More](https://scale-lang.com/posts/2024-07-12-release-announcement)
+* [Scale](https://docs.scale-lang.com/)
